clear all                                      %1
fig=figure;                                    %2
set(fig,'DoubleBuffer','on','visible','off');  %3
set(gca,'NextPlot','replace','Visible','off')  %4
mov = avifile('soliton.avi')                   %5
x=-4*pi:0.1:4*pi;                              %6
t = 0:.1:2*pi;                                 %7
y=cos(x-t(1))./cosh(x-t(1));                   %8
hp=plot(x,y);                                  %9
number =length(t);                             %10
for i=1:number                                 %11
y=cos(x-t(i))./cosh(x-t(i));                   %12
set(hp,'ydata',y);                             %13
F=getframe(gca);                               %14
mov = addframe(mov,F);                         %15
end                                            %16
mov = close(mov);                              %17
m1=aviread('soliton.avi');                    %18
movie(m1);                                     %19
